commit a81760ebe720e276a9ce3dda1a54db4f591fd6f9
Author: freddy77 <freddy77>
Date:   Sun Sep 14 07:45:24 2008 +0000

    renamed TDSSOCKET->no_data_conv to TDSSOCKET->use_iconv

diff --git a/ChangeLog b/ChangeLog
index 63f27a5..1cfef99 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sun Sep 14 09:44:55 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/odbc/odbc.c src/tds/mem.c src/tds/token.c:
+	- renamed TDSSOCKET->no_data_conv to TDSSOCKET->use_iconv
+
 Sat Sep 13 09:18:17 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/token.c: fix compile if no --enable-development
 
@@ -649,4 +653,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2608 2008/09/13 07:18:46 freddy77 Exp $
+$Id: ChangeLog,v 1.2609 2008/09/14 07:45:24 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index a59f9ae..38dc14f 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.294 2008/09/12 15:12:23 freddy77 Exp $ */
+/* $Id: tds.h,v 1.295 2008/09/14 07:45:24 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1292,7 +1292,7 @@ struct tds_socket
 	unsigned int broken_dates:1;
 	unsigned int emul_little_endian:1;
 #ifdef ENABLE_DEVELOPING
-	unsigned int no_data_conv:1;
+	unsigned int use_iconv:1;
 #endif
 
 	unsigned char *in_buf;		/**< input buffer */
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index edf4895..5778351 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.495 2008/09/12 15:12:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.496 2008/09/14 07:45:24 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -372,7 +372,7 @@ odbc_connect(TDS_DBC * dbc, TDSCONNECTION * connection)
 		ODBC_RETURN(dbc, SQL_ERROR);
 	}
 #ifdef ENABLE_DEVELOPING
-	dbc->tds_socket->no_data_conv = 1;
+	dbc->tds_socket->use_iconv = 0;
 #endif
 	tds_set_parent(dbc->tds_socket, (void *) dbc);
 
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 42d9866..e90e919 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -47,7 +47,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.178 2008/08/18 13:31:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.179 2008/09/14 07:45:25 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -966,6 +966,9 @@ tds_alloc_socket(TDSCONTEXT * context, int bufsize)
 	tds_socket->option_flag2 = 0x03;
 	tds_socket->env.block_size = bufsize;
 
+#ifdef ENABLE_DEVELOPING
+	tds_socket->use_iconv = 1;
+#endif
 	if (tds_iconv_alloc(tds_socket))
 		goto Cleanup;
 
diff --git a/src/tds/token.c b/src/tds/token.c
index 85e60dd..bb009f3 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.353 2008/09/13 07:18:46 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.354 2008/09/14 07:45:25 freddy77 Exp $");
 
 static int tds_process_msg(TDSSOCKET * tds, int marker);
 static int tds_process_compute_result(TDSSOCKET * tds);
@@ -2100,7 +2100,7 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		 */
 		/* TODO this can lead to a big waste of memory */
 #ifdef ENABLE_DEVELOPING
-		if (!tds->no_data_conv)
+		if (tds->use_iconv)
 			new_blob_size = determine_adjusted_size(curcol->char_conv, colsize);
 		else
 			new_blob_size = colsize;
@@ -2131,7 +2131,7 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		
 		/* read the data */
 #ifdef ENABLE_DEVELOPING
-		if (!tds->no_data_conv && curcol->char_conv) {
+		if (tds->use_iconv && curcol->char_conv) {
 #else
 		if (curcol->char_conv) {
 #endif
@@ -2145,7 +2145,7 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		curcol->column_cur_size = colsize;
 
 #ifdef ENABLE_DEVELOPING
-		if (!tds->no_data_conv && curcol->char_conv) {
+		if (tds->use_iconv && curcol->char_conv) {
 #else
 		if (curcol->char_conv) {
 #endif
@@ -3381,7 +3381,7 @@ adjust_character_column_size(const TDSSOCKET * tds, TDSCOLUMN * curcol)
 		curcol->char_conv = tds->char_convs[client2server_chardata];
 
 #ifdef ENABLE_DEVELOPING
-	if (tds->no_data_conv || !curcol->char_conv)
+	if (!tds->use_iconv || !curcol->char_conv)
 #else
 	if (!curcol->char_conv)
 #endif

